#!/bin/sh
#Written by David

yum install -y epel-release ipset
yum install -y systemd libev libsodium mbedtls
yum install -y gcc autoconf libtool automake make zlib-devel openssl-devel asciidoc xmlto libsodium-devel libudns-devel udns-devel libev-devel
cd /etc/yum.repos.d
wget http://8.210.81.239/pangzi_windows/ss/librehat-shadowsocks-epel-7.repo
yum makecache
yum -y install shadowsocks-libev

START () {
echo -e "\033[31m#####输入下面的命令启动shadowsocks服务#####\033[0m"
echo -e "\033[31m systemctl start shadowsocks-libev\033[0m"
}

STATUS () {
echo -e "\033[31m#####输入下面的命令查看shadowsocks服务状态#####\033[0m"
echo -e "\033[31msystemctl status shadowsocks-libev\033[0m"
}

JOURNALCTL () {
echo -e "\033[31m#####查看Shadowsocks服务的全部日志#####\033[0m"
echo -e "\033[31mjournalctl -u shadowsocks-libev\033[0m"
}

ENABLE () {
echo -e "\033[31m#####设置Shadowsocks开机自启#####\033[0m"
echo -e  "\033[31msystemctl enable shadowsocks-libev\033[0m"
}



START
STATUS
JOURNALCTL
ENABLE
echo -e  "\033[31m ##已替换/etc/shadowsocks-libev/config.json 文件下127.0.0.1 为 0.0.0.0 \033[0m"
#echo "##已替换/etc/shadowsocks-libev/config.json 文件下127.0.0.1 为 0.0.0.0"
sed -i s#"127.0.0.1"#"0.0.0.0"#g   /etc/shadowsocks-libev/config.json

